Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
libgpod mit support für ipod nano 5G
View unanswered posts
View posts from last 24 hours
View posts from last 7 days

 
Reply to topic    Gentoo Forums Forum Index Deutsches Forum (German)
View previous topic :: View next topic  
Author Message
krallekit
n00b
n00b


Joined: 14 Apr 2006
Posts: 58

PostPosted: Thu Mar 11, 2010 12:25 pm    Post subject: libgpod mit support für ipod nano 5G Reply with quote

Hallo Gemeinde,

wie in der Überschrift schon zu erlesen, suche ich, vermutlich nicht als einiziger, nach einer Möglichkeit meinen ipod vernünftig unter Linux mit Music zu betanken. Bisherige Versionen der libgpod (aktuell die 0.7.2 glaube ich) unterstützen bisher nur ipod bis zur 4G Version.
Nun gibt es ja mittlerweile eine libgpod-0.7.9x die angeblich 5G Support mitbringt. Ich hatte mich mal damit befasst ein ebuild zum update mittel Portage overlay zu basteln. Es sieht aber so aus, als wenn derzeitige Versionen benötigter libs in Portage nicht zu libgpod-0.7.9x kompatibel sind. Die Versinen sind zu alt. Deshalb gibt es vermutlich auch noch kein Update im Portagebaum.

Da ich kurzfristig kein großen Chancen sehe meinen ipod unter Gentoo zu nutzen ist die Frage ob es andere Möglichkeiten gibt außer libgpod. Aber bitte kein itunes unter Wine. Das ist irgendwie pervers.

Vielleicht hat ja jeman einen Tip. Wird mich aber auch über Links zu gepatchter Version freuen. Meinetwegen auch aus'm cvs von libgpod.

Vielen Dank
Back to top
View user's profile Send private message
tuam
l33t
l33t


Joined: 04 May 2004
Posts: 765
Location: CGN, Germany

PostPosted: Sat Mar 20, 2010 1:10 pm    Post subject: Reply with quote

Hallo,

bei mir scheint Version 0.7.92 mit folgendem Ebuild zu laufen
Code:

pc ~ # cat /usr/local/portage/media-libs/libgpod/libgpod-0.7.92.ebuild
# Copyright 1999-2009 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $

EAPI=2
inherit autotools eutils

DESCRIPTION="Shared library to access the contents of an iPod"
HOMEPAGE="http://www.gtkpod.org/libgpod.html"
SRC_URI="mirror://sourceforge/gtkpod/${P}.tar.gz"
RESTRICT="mirror"

LICENSE="LGPL-2"
SLOT="0"
KEYWORDS="~amd64 ~x86"
IUSE="+gtk python test hal osx3"

RDEPEND=">=dev-libs/glib-2.16
        sys-apps/sg3_utils
        dev-libs/libxml2
        dev-db/sqlite:3
        >=app-pda/libplist-1.0
        dev-libs/libusb:1
        hal? ( =sys-apps/hal-0.5* )
        gtk? ( >=x11-libs/gtk+-2.6 )
        python? ( >=dev-lang/python-2.3
                >=media-libs/mutagen-1.8
                >=dev-python/pygobject-2.8 )
        osx3? ( >=app-pda/libimobiledevice-0.9.7 )
        test? ( media-libs/taglib )"
DEPEND="${RDEPEND}
        python? ( >=dev-lang/swig-1.3.24 )
        dev-util/pkgconfig
        dev-libs/libxslt"

src_prepare() {
        #epatch "${FILESDIR}"/${P}-compile-without-hal.patch
        eautoreconf
}

src_configure() {
        econf \
                $(use_with hal) \
                $(use_enable gtk gdk-pixbuf) \
                $(use_enable python pygobject) \
                $(use_enable osx3 libimobiledevice) \
                $(use_with python)
}

src_install() {
        emake DESTDIR="${D}" install || die
        dodoc README TROUBLESHOOTING AUTHORS NEWS README.SysInfo README.overview README.sqlite
}


Für iPhone/iPod Touch bräuchte es natürlich noch libimobiledevice, die ich hier mal unter app-pda einsortiert und mit dem USE-Flag osx3 versehen habe, aber nicht brauche - Du vermutlich auch nicht.

FF,

Daniel
_________________
Logic clearly dictates that the needs of the many outweigh the needs of the few. - Spock
The needs of the one outweigh the needs of the many. - Kirk
I refuse to let arithmetic decide questions like that. - Picard
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Deutsches Forum (German) All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum